# Product variant deletion

Deletes product variant as per entered code. If this is the last
product variant, the entire product is deleted.

If successful, returns the code 200.

If the product variant does not exist within the e-shop, a 404 code is
returned.

If the product variant cannot be deleted, because it is part of set or
used as a gift to some product, a 409 code is returned.

Endpoint: DELETE /api/products/code/{code}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `code` (string, required)
    product variant code.
    Example: "112"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object,null, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)

## Response 409 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


